Skip to main content
`Ctrl`+`K`

# PetscSpaceSumSetSubspace

Set a space in the sum space

## Synopsis

    #include "petscfe.h"
    PetscErrorCode PetscSpaceSumSetSubspace(PetscSpace sp, PetscInt s, PetscSpace subsp)

## Input Parameters

- sp - the function space object

- s - The space number

- subsp - the number of spaces

## Note

The name SetSubspace is slightly misleading because it is actually setting one of the defining spaces of the sum, not a Subspace of it

## See Also

`PETSCSPACESUM`, `PetscSpace`, `PetscSpaceSumGetSubspace()`, `PetscSpaceSetDegree()`, `PetscSpaceSetNumVariables()`

## Level

intermediate

## Location

src/dm/dt/space/impls/sum/spacesum.c

## Implementations

PetscSpaceSumSetSubspace_Sum() in src/dm/dt/space/impls/sum/spacesum.c

Index of all SPACE routines
Table of Contents for all manual pages
Index of all manual pages